player_joystick_data Struct Reference

Data: state (PLAYER_JOYSTICK_DATA_STATE) More...

`#include <player_interfaces.h>`

## Public Attributes

int32_t | pos [8]
| Current joystick position X, Y and Yaw (unscaled)
int32_t | scale [8]
| Scaling factors for X, Y and Yaw — not using these yet.
uint32_t | buttons
| Button states (bitmask)
uint32_t | axes_count
| Nunber of axes.

## Detailed Description

Data: state (PLAYER_JOYSTICK_DATA_STATE)

The joystick data packet, which contains the current state of the joystick

The documentation for this struct was generated from the following file:

- player_interfaces.h

Last updated 12 September 2005 21:38:45